Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class ClassFileEntry

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

Direct Known Subclasses:
  `Attribute`, `ByteCode`, `ConstantPoolEntry`, `CPMember`

public abstract class ClassFileEntry extends Object
The abstract superclass for all types of class file entries.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final ClassFileEntry[]`
  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassFileEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `doWrite(DataOutputStream dos)`
  `abstract boolean`
  `equals(Object arg0)`
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  `abstract int`
  `hashCode()`
  `protected int`
  `objectHashCode()`
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries.
  `abstract String`
  `toString()`
  `final void`
  `write(DataOutputStream dos)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NONE

    protected static final ClassFileEntry[] NONE

- ## Constructor Details

  - ### ClassFileEntry

    public ClassFileEntry()

- ## Method Details

  - ### doWrite

    protected abstract void doWrite(DataOutputStream dos) throws IOException
    Throws:
      `IOException`

  - ### equals

    public abstract boolean equals(Object arg0)
    Overrides:
      `equals` in class `Object`

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()

  - ### hashCode

    public abstract int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### objectHashCode

    protected int objectHashCode()

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Allows the constant pool entries to resolve their nested entries.
    Parameters:
      `pool` - TODO

  - ### toString

    public abstract String toString()
    Overrides:
      `toString` in class `Object`

  - ### write

    public final void write(DataOutputStream dos) throws IOException
    Throws:
      `IOException`